# getSuperClassArguments abstract method

List<Class> getSuperClassArguments()

Gets the generic arguments from the superclass declaration.

Type Parameters:

- `S`: The superclass type to examine

Returns:

- List of generic type arguments
- Empty list if no generics exist

Example:

    class Converter extends ConverterFactory<num, num> {}

    final args = Class.forType<Converter>()
      .getSuperClassArguments<ConverterFactory>();
    print(args); // [Class<num>, Class<num>]

## Implementation

    List<Class> getSuperClassArguments();